### Method

# Gio ListStore find

since: 2.64

#### Declaration [src]

    gboolean
    g_list_store_find (
      GListStore* store,
      GObject* item,
      guint* position
    )

#### Description [src]

Looks up the given `item` in the list store by looping over the items until the first occurrence of `item`. If `item` was not found, then `position` will not be set, and this method will return `FALSE`.

If you need to compare the two items with a custom comparison function, use `g_list_store_find_with_equal_func()` with a custom `GEqualFunc` instead.

Available since: 2.64

#### Parameters

`item`

  Type: `GObject`

  An item.

  The data is owned by the caller of the method.

`position`

  Type: `guint*`

  The first position of `item`, if it was found.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

Whether `store` contains `item`. If it was found, `position` will be set to the position where `item` occurred for the first time.